Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# ConsoleTools Class Reference
[Viewer/streaming]

## Detailed Description

Console colorer application.

Implements command-line interface, and allows to generate colored html sources, view text files in console window(win32 only) and to check HRC database integrity.

## Public Methods
void | setCopyrightHeader (bool use)
| Is copyright header present in html output.
void | setHtmlEscaping (bool use)
| Is HTML characters escaping done by HtmlEscapesWriter class.
void | setBomOutput (bool use)
| Is BOM outputted into result stream.
void | setHtmlWrapping (bool use)
| Is HTML text header and footer are printed in HTML result.
void | setTypeDescription (const String &str)
| Alternative HRC type description for type selection.
void | setInputFileName (const String &str)
| File name, used as input source. Could be URL.
void | setOutputFileName (const String &str)
| Optional file name, used for output.
void | setInputEncoding (const String &str)
| Input Characters Encoding.
void | setOutputEncoding (const String &str)
| Output Characters Encoding.
void | setCatalogPath (const String &str)
| Optional path to base catalog.xml.
void | setHRDName (const String &str)
| Optional HRD instance name, used to perform parsing.
void | setLinkSource (const String &str)
| Sets linking datasource into this filename.
void | RETest ()
| Regular Expressions tests.
void | listTypes (bool load)
| Lists all available HRC types and optionally tries to load them.
FileType * | selectType (HRCParser *hrcParser, String *fline)
void | viewFile ()
| Views file in console window, using TextConsoleViewer class.
void | forward ()
| Simply forwards input text to output, using passed encoding information.
void | genOutput (bool useTokens)
| Generates HTML-ized output of file.

## Member Function Documentation

void ConsoleTools::RETest | ( |  | ) |

| Regular Expressions tests. Reads RE and expression from stdin, and checks expression against RE. Outputs all matched brackets.

void ConsoleTools::genOutput | ( | bool | useTokens | ) |

  | Generates HTML-ized output of file. Uses `'rgb'` HRD class to dynamically create HTML tags, or `'text'` HRD class to use specified in HRD file starting and ending sequences. Parameters:
  useTokens | If true, no HRD input used, but direct tokenized output is produced with region names, as names of tokens.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:55 2003 by doxygen 1.3-rc2.